* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* -------------SLIDER IMAGEN GRANDE----------------- */

.container-slider {
    width: 100%;
    max-width: 1000vh;
    overflow: hidden;
    box-shadow: 0px;
    position: relative;
    z-index: 9;
}

.slider {
    display: flex;
    width: 400%;
    height: 400%;
    margin-left: -100%;
    /* box-shadow: 0 0 0 10px #fff,
                0 15px 50px;
    position: relative; */
}

.slider__section {
    width: 100%;
}

.slider_img {
    margin-top: 104px;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* margin-bottom: 50px; */
}

.slider__btn {
    position: absolute;
    width: 40px;
    height: 40px;
    background: rgb(255, 255, 255, 0.7);
    top: 50%;
    transform: translateY(-50%);
    font-size: 30px;
    font-weight: bold;
    font-family: monospace;
    text-align: center;
    border-radius: 50%;
    cursor: pointer;
}

.slider__btn:hover {
    background: #fff;
    transition: 300ms;
}

.slider__btn--left {
    left: 10px;
}

.slider__btn--right {
    right: 10px;
}

/* -----------CONTENIDO CUERPO------------ */

.contenedor_todos_productos {
    top: 100px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: center;
    justify-content: center;

}

.contenedor_un_producto {
    margin: 30px;

}

.imagen_prods {
    display: flex;
    width: 400px;
    height: 400px;
    max-width: 350px;
    margin: 0 auto;
    transition: 300ms;

}

.text_prods {
    text-align: center;
}

.imagen_prods:hover {
    transform: scale(1.15);
}

/* -----------------------------s----- */

/* ---------VENTANA MODAL---------- */

/* body, .modal{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
} */

.modal {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    background: rgb(0, 0, 0, 0.5);
    transition: all 500ms ease;
    opacity: 0;
    visibility: hidden;
    z-index: 10;
}

#btn-modal:checked~.modal {
    opacity: 1;
    visibility: visible;
}

.contenedor-modal {
    width: 900px;
    height: 550px;
    margin: auto;
    background: #fff;
    box-shadow: 1px 7px 25px rgba(0, 0, 0, 0.6);
    transition: all 500ms ease;
    position: relative;
}

.contenedor-modal header {
    padding: 10px;
    background: #A42525;
    color: #fff;
    text-align: center;
    font-size: 20px;

}

.contenedor-modal label {
    position: absolute;
    top: 2px;
    right: -50px;
    color: #fff;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 20px;
    cursor: pointer;
}

#btn-modal {
    display: none;
}

.lbl-modal {
    background: white;
    padding: 10px 15px;
    border-radius: 4px;
    cursor: pointer;
}

/* ------------Contenido Modal ------------- */

.contenido-modal img {
    display: flex;
    width: 300px;
    height: 350px;
    max-width: 350px;
    margin-top: 50px;
    margin-left: 50px;
    transition: 300ms;
}

/* .contenido-modal-text {
    text-align: center;
    margin-left: -590px;
}
 */
.contenido-modal .contenido-modal-descripcion {
    margin-top: -380px;
    margin-left: 400px;
    font-size: 15px;
}

.contenido-modal-descripcion h3 {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 25px;
}

.contenido-modal-descripcion h4 {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 20px;
}

.contenido-modal-descripcion p {
    color: #7C7C7C;
    text-align: justify;
    margin-top: 20px;
}

.contenido-modal-descripcion h6 {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 13px;
    margin-top: 15px;
    color: #7C7C7C;
}

.contenido-modal-descripcion .cuadro_number {
    border: 2px solid #7C7C7C;
    color: #7C7C7C;
    width: 45px;
    height: 45px;
    margin-top: -50px;
    margin-left: 100px;
    text-align: center;
}

/* #btn-carrito {
    position: relative;
    display: block;
    border: 50px;
    border-radius: 6px;
    color: #fff;
    font-size: 25px;
    text-align: center;
    width: 400px;
    height: 50px;
    background-color: #30FF91;
    margin-top: 180px;
    margin-left: 30px;
    cursor: pointer;
    transition: background-color .3s;
}

#btn-carrito:hover{
    color: #30FF91;
    background-color: #fff;
    border: 2px solid;
} */

/* --------Boton Carrito----------- */

.btn-carrito-button button {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: #fff;
    border: 50px;
    border-radius: 6px;
    font-size: 22px;
    text-align: center;
    width: 450px;
    height: 60px;
    background-color: #A42525;
    margin-top: 90px;
    margin-left: 10px;
    cursor: pointer;
    transition: background-color .4s;
}

.btn-carrito-button button:hover {
    color: #A42525;
    background-color: #fff;
    border: 2px solid;
}

.contenedor-modal img:hover {
    transform: scale(1.15);
}

/* ----------------- Nav Marcas ---------------------- */
.ul-header>li {
    display: inline-block;
}

.sub_menu {
    position: absolute;
    left: 200px;
    top: 75px;
    background: #fff;
    width: 70%;
    visibility: hidden;
    opacity: 0;
    transition: 0.5s;
}

.sub_menu li a {
    display: block;
    padding: 15px;
}

.ul-header li:hover .sub_menu {
    visibility: visible;
    opacity: 1;
}

.img_prod {
    position: relative;
    display: flex;
    width: 100px;
    height: 100px;
    left: 15px;
    max-width: 100px;
    margin: 0 auto;
}

/* ----------------------------- */

/* ---------Responsivo--------------- */

/* Vista movil */

@media screen and (max-width:450px) {
    .container-slider {
        width: 100%;
    }

    /* ---------------------------CUERPO---------- */

    .contenedor_todos_productos {
    top: 100px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: center;
    justify-content: center;

}

.contenedor_un_producto {
    margin: 30px;

}

.imagen_prods {
    display: flex;
    width: 105px;
    height: 135px;
    max-width: 350px;
    margin: 0 auto;
    transition: 300ms;

}

.text_prods {
    text-align: center;
    font-size: 7px;
    margin-top: -20px;
}

.imagen_prods:hover {
    transform: scale(1.15);
}


    /* --------------------------------- */

    /* ------------- MODAL ---------- */
    .contenedor-modal {
        width: 300px;
        height: 210px;
    }

    .contenedor-modal header {
        padding: 1px;
        background: #A42525;
        color: #fff;
        text-align: center;
        font-size: 14px;
    }

    .contenedor-modal label {
        position: absolute;
        top: -10px;
        right: -20px;
        color: #fff;
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-size: 14px;
        cursor: pointer;
    }

    .contenido-modal img {
        display: flex;
        width: 70px;
        height: 100px;
        max-width: 350px;
        margin-top: 23px;
        margin-left: 16px;
        transition: 300ms;
    }

    .contenido-modal .contenido-modal-descripcion {
        margin-top: -140px;
        margin-left: 107px;
    }

    .contenido-modal-descripcion h3 {
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-size: 8px;
    }

    .contenido-modal-descripcion h4 {
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-size: 7px;
    }

    .contenido-modal-descripcion p {
        color: #7C7C7C;
        text-align: justify;
        margin-top: -6px;
        font-size: 6px;
    }

    .contenido-modal-descripcion h6 {
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-size: 7px;
        margin-top: -5px;
        color: #7C7C7C;
    }

    .contenido-modal-descripcion .cuadro_number {
        border: 2px solid #7C7C7C;
        color: #7C7C7C;
        width: 10px;
        height: 10px;
        margin-top: 1px;
        margin-left: 50px;
        text-align: center;
    }

    .btn-carrito-button button {
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        color: #fff;
        border: 50px;
        border-radius: 3px;
        font-size: 8px;
        text-align: center;
        width: 180px;
        height: 30px;
        background-color: #A42525;
        margin-top: 10px;
        margin-left: -5px;
        cursor: pointer;
        transition: background-color .4s;
    }
}